<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:30 CEST 2019 -->
<title>RefinementsEditorPlugin</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsEditorPlugin";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsEditorPlugin.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.Implementation.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/presentation/RefinementsEditorPlugin.html" target="_top">Frames</a></li>
<li><a href="RefinementsEditorPlugin.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.presentation</div>
<h2 title="Class RefinementsEditorPlugin" class="title">Class RefinementsEditorPlugin</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.util.DelegatingResourceLocator</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.EMFPlugin</li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.presentation.RefinementsEditorPlugin</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator</dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">RefinementsEditorPlugin</span>
extends org.eclipse.emf.common.EMFPlugin</pre>
<div class="block">This is the central singleton for the Refinements editor plugin.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.Implementation.html" title="class in refinement.model.refinements.presentation">RefinementsEditorPlugin.Implementation</a></span></code>
<div class="block">The actual implementation of the Eclipse <b>Plugin</b>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.EMFPlugin">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.EMFPlugin</h3>
<code>org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper, org.eclipse.emf.common.EMFPlugin.OSGiDelegatingBundleActivator</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.html" title="class in refinement.model.refinements.presentation">RefinementsEditorPlugin</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.html#INSTANCE">INSTANCE</a></span></code>
<div class="block">Keep track of the singleton.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.common.EMFPlugin">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.common.EMFPlugin</h3>
<code>IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.html#RefinementsEditorPlugin--">RefinementsEditorPlugin</a></span>()</code>
<div class="block">Create the instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.Implementation.html" title="class in refinement.model.refinements.presentation">RefinementsEditorPlugin.Implementation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.html#getPlugin--">getPlugin</a></span>()</code>
<div class="block">Returns the singleton instance of the Eclipse plugin.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.ResourceLocator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.html#getPluginResourceLocator--">getPluginResourceLocator</a></span>()</code>
<div class="block">Returns the singleton instance of the Eclipse plugin.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.EMFPlugin">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.EMFPlugin</h3>
<code>getPluginLogger, getSymbolicName, log, main</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.util.DelegatingResourceLocator">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.util.DelegatingResourceLocator</h3>
<code>getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.util.ResourceLocator">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.util.ResourceLocator</h3>
<code>getBaseURL, getImage, getString, getString, getString, getString</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="INSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>INSTANCE</h4>
<pre>public static final&nbsp;<a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.html" title="class in refinement.model.refinements.presentation">RefinementsEditorPlugin</a> INSTANCE</pre>
<div class="block">Keep track of the singleton.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RefinementsEditorPlugin--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RefinementsEditorPlugin</h4>
<pre>public&nbsp;RefinementsEditorPlugin()</pre>
<div class="block">Create the instance.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPluginResourceLocator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPluginResourceLocator</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.ResourceLocator&nbsp;getPluginResourceLocator()</pre>
<div class="block">Returns the singleton instance of the Eclipse plugin.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getPluginResourceLocator</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.common.EMFPlugin</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the singleton instance.</dd>
</dl>
</li>
</ul>
<a name="getPlugin--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPlugin</h4>
<pre>public static&nbsp;<a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.Implementation.html" title="class in refinement.model.refinements.presentation">RefinementsEditorPlugin.Implementation</a>&nbsp;getPlugin()</pre>
<div class="block">Returns the singleton instance of the Eclipse plugin.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the singleton instance.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsEditorPlugin.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsEditorPlugin.Implementation.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/presentation/RefinementsEditorPlugin.html" target="_top">Frames</a></li>
<li><a href="RefinementsEditorPlugin.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
